CREATE TABLE pages (
	tx_sgnews_news_author varchar(255) DEFAULT '' NOT NULL,
	tx_sgnews_related_news varchar(255) DEFAULT '' NOT NULL,
	tx_sgnews_highlighted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	tx_sgnews_never_highlighted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	tx_sgnews_teaser1_image int(11) unsigned DEFAULT '0' NOT NULL,
	tx_sgnews_teaser2_image int(11) unsigned DEFAULT '0' NOT NULL,
	tx_sgnews_tags int(11) unsigned DEFAULT '0' NOT NULL,
	tx_sgnews_likes int(11) unsigned DEFAULT '0' NOT NULL,
	tx_sgnews_location mediumtext,
  	tx_sgnews_date_end  int(10) unsigned DEFAULT '0' NOT NULL,
	tx_sgnews_content_from_another_page int(11) unsigned DEFAULT '0' NOT NULL,

	KEY news_author (tx_sgnews_news_author)
);

CREATE TABLE pages_language_overlay (
	tx_sgnews_teaser1_image int(11) unsigned DEFAULT '0' NOT NULL,
	tx_sgnews_teaser2_image int(11) unsigned DEFAULT '0' NOT NULL,
	tx_sgnews_location mediumtext
);

CREATE TABLE tx_sgnews_domain_model_author (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,

	-- Custom fields
	name varchar(255) DEFAULT '' NOT NULL,
	email varchar(255) DEFAULT '' NOT NULL,
	description text,
	website text,
	path_segment text,
	image int(11) unsigned DEFAULT '0',

	-- TYPO3 fields
	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	deleted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	hidden tinyint(4) unsigned DEFAULT '0' NOT NULL,

	sys_language_uid int(11) DEFAULT '0' NOT NULL,
	l10n_parent int(11) DEFAULT '0' NOT NULL,
	l10n_diffsource mediumblob,

	PRIMARY KEY (uid),
	KEY parent (pid),
	KEY language (l10n_parent,sys_language_uid)
);
